]> arthur.barton.de Git - bup.git/blobdiff - cmd/ls-cmd.py
Use BytesIO instead of StringIO
[bup.git] / cmd / ls-cmd.py
index 94a7131f61c242f196d393d6a0934ab6d363df9b..031fbaefd7aba78339df53162d66b1773c8ce11d 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 import sys
 from bup import git, vfs, ls
 from bup.helpers import *